Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.util.search
Class AStarNode

    java.lang.Object
      cc.mallet.util.search.SearchNode
          cc.mallet.util.search.AStarNode

All Implemented Interfaces:
  QueueElement

    public class AStarNode

extends SearchNode

Created by IntelliJ IDEA. User: pereira Date: Jun 19, 2005 Time: 1:07:17 PM Search node in an A* search.

Nested Class Summary
`class` | `AStarNode.NextNodeIterator` Iterator over new A* search nodes generated by state transitions from this node's state.

Constructor Summary
`AStarNode(AStarState state, AStarNode parent, double cost)` Create an A* search node with given state, parent, and cost.

Method Summary
`double` | `completionCost()` Get the completion cost for the underlying state.
`SearchNode.NextNodeIterator` | `getNextNodes()` Get an iterator over the new search nodes reachable from this node by state transitions.

Methods inherited from class cc.mallet.util.search.SearchNode
`getCost, getParent, getPosition, getPriority, getState, isFinal, setPosition, setPriority, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AStarNode

    public AStarNode(AStarState state,
                     AStarNode parent,
                     double cost)

  Create an A* search node with given state, parent, and cost.

  Parameters:
    `state` - the state
    `parent` - the parent
    `cost` - the cost

Method Detail

### completionCost

    public double completionCost()

  Get the completion cost for the underlying state.

  Returns:
    the completion cost

### getNextNodes

    public SearchNode.NextNodeIterator getNextNodes()

  Description copied from class: `SearchNode`
  Get an iterator over the new search nodes reachable from this node by state transitions.

  Overrides:
    `getNextNodes` in class `SearchNode`
  Returns:
    the iterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD